<% if @parsed %>
<!DOCTYPE html>
<html>
<head>
<style>
.modal-header {
    padding: 2px 16px;
    background-color: #5cb85c;
    color: white;
}
body {
  position: relative;
}
</style>
</head>

<body data-spy="scroll" data-target="#navbar-target">
<div class="modal fade in" tabindex="-1" role="dialog" id="details">
 
 <div class="modal-dialog">
        <div class="modal-header">
            
          <div class="container-fluid">
            <div class="row">
              <div class="col-md-12"><h2 class="modal-title">Measure details</h2></div>
            </div>
          </div>
          
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>

        </div>

        <div class="container">
            <div class="modal-body">
                <nav class="navbar navbar-expand-lg navbar-light bg-faded">
                  <div class="collapse navbar-collapse" id="navbarNavDropdown">
                    <ul class="navbar-nav">
                      <% for index in 0..(@parsed.length) %>
                        <% staff = 0 %>
                        <% @length = 2 %>
                        <% if @parsed[index].is_a? String %>
                          <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="<%= @parsed[index] %>" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <%= @parsed[index] %>
                            </a>
                            <% index += 1 %>
                            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                              <% if @parsed[index].is_a? Array %>
                                <% @parsed[index].select{|x, y| x == @parsed[index - 1]}.each_with_index do |instrument, i| %>
                                  <% if instrument.length == 2 %>
                                    <% @length = 2 %>
                                  <% elsif instrument.length == 6 %>
                                    <% if @length == 2 && instrument[1][1] != staff %>
                                      <% staff = instrument[1][1] %>
                                      <a class="dropdown-item" href="#section1", onclick="return false;" >Staff <%= instrument[1][1] %></a>
                                      <% @length = 6 %>
                                    <% end %>
                                  <% end %>
                                <% end %>
                              <% end %>
                            </div>
                          </li>
                        <% end %>
                      <% end %>
                    </ul>
                  </div>
                </nav>
                <div class="jumbotron">
                  <div id="navbar-target">
                  <% @length = 2 %>
                  <% @parsed.each_with_index do |row, index| %>
                    <% if row.is_a? String %>
                      <div class="row">
                        <div class="col-4"><h3><%= row %></h3></div>
                      </div>
                    <% end %>
                    <% if row.is_a? Array %>
                      <% row.select{|x, y| x == @parsed[index - 1]}.each_with_index do |instrument, i|%>
                        <% if instrument.length == 2 %>
                          <% @length = 2 %></br>
                        <% elsif instrument.length == 6 %>
                          <div id="section1" class="row">
                            <div class="col-3"><% if @length == 2 %>Staff <%= instrument[1][1] %><% end %></div>
                            <div class="col-9"><% if instrument[5] != nil %>At measure <%= instrument[5][2] %> : <%= instrument[5][3][0] %> / <%= instrument[5][3][1] %><% end %></div>
                          </div>
                          <% @length = 6 %>
                        <% end %>
                      <% end %>
                    <% end %>
                  <% end %>
                </div>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>
<% end %>